/*
 * KCall
 * Copyright (C) 2005-2006 by basyskom GmbH
 *  @author basysKom GmbH <info@basyskom.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef _KCALL_H_
#define _KCALL_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <ksystemtrayicon.h>
#include <qpixmap.h>

class QTimer;
class KCallCore;
class IncomingDialog;

class KCall : public KSystemTrayIcon
{
    Q_OBJECT
    public:
        KCall();
        virtual ~KCall();

//         void mousePressEvent(QMouseEvent *event);
//         void showDialList(QMouseEvent *pos);
//         void showMainMenu(QMouseEvent *pos);

    protected:
//        void paintGui();
        void openDialList();
        void startBlink( const QPixmap &iconOn, const QPixmap &iconOff );
        void stopBlink();

        IncomingDialog *incomingdlg;
        KCallCore *mkcall;

        QString onlineIcon;
        QString offlineIcon;
        QString bellIcon;
        QString regButtonText;

        bool kCallGuiRunning;

        bool m_isBlinking;
        bool m_isBlinkIcon;
        QPixmap m_blinkIconOn;
        QPixmap m_blinkIconOff;
        QTimer *m_blinkTimer;

    protected slots:
        void slotBlink();

    public slots:
        // void slotOpenKCall();
        void slotHelp();
        void slotPreferences();
        void slotAbout();
        void slotDialDlg();
        void slotStartIncomingCall(const QString & callid,
                                   const QString & caller,
                                   const QString & subject);
        void slotStopIncomingCall(const QString & callid);
        void slotRegistrationChanged( int newstatus );
        void slotUnRegistrate();
        void slotSettingsChanged();
        void acceptCall(const QString & callId);
        void rejectCall(const QString & callId);
        void hangupCall(const QString & callId);
        void slotQuit();
        void guiStatus(bool s);
};

#endif // _KCALL_H_
