/*
 * Copyright (C) 2006-2007 by basyskom GmbH
 *  @author Mike Hauth <info@basyskom.de>
 *  @author Eva Brucherseifer <info@basyskom.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef CALLINFO_H
#define CALLINFO_H

#include <QDateTime>
#include <QString>

enum CallStatus
{
    INCOMING = 1,
    OUTGOING = 2,
    REJECTED = 3,
    HANGUP = 4,
    CANCELED = 5,
    ACTIVE = 6,
    STATUS_MAX
};

struct CallInfo
{
    QString callId;
    QString callerNr;
    QString callerName;
    QString subject;
    CallStatus status;
    QDate date;
    QTime time;
    int duration;
};

#endif
