/*
 * Copyright (C) 2006 by basyskom GmbH
 *  @author Tobias Hunger <info@basyskom.de>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "decibelchannelhandler.h"
#include "callinfo.h"

#include <QDebug>

#include <Decibel/ContactManager>
#include <Decibel/DBusNames>
#include <Decibel/Types>

#include <QtTapioca/StreamChannel>

DecibelChannelHandler::DecibelChannelHandler(QObject * parent) :
    Decibel::ChannelHandler(parent)
{
    Decibel::registerTypes();
    QDBusConnection::sessionBus().registerService(Decibel::organisation_name
                                                  + ".kcallgui");
    QDBusConnection::sessionBus().registerObject("/StreamChannelHandler",
                                                 this);
}

DecibelChannelHandler::~DecibelChannelHandler()
{ }

bool DecibelChannelHandler::handleChannel(QtTapioca::Connection * connection,
                                          QtTapioca::Channel * channel,
                                          const bool incoming)
{
    Q_ASSERT(connection != 0);
    Q_ASSERT(channel != 0);

    qDebug() << "ChannelHandler::handleChannel.";
    QtTapioca::StreamChannel * stream_channel =
        dynamic_cast<QtTapioca::StreamChannel *>(channel);
    if (0 == stream_channel)
    { return false; }

    qDebug() << "Emitting newChannel.";
    emit newChannel(connection, stream_channel, incoming);

    return false;
}

#include "decibelchannelhandler.moc"
