/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_NETFEED_H
#define KRSS_NETFEED_H

#include "krss_export.h"
#include "persistentfeed.h"

namespace KRss {

class KRSS_EXPORT NetFeed : public PersistentFeed
{
    Q_OBJECT

public:

    ~NetFeed();

    QString xmlUrl() const;
    void setXmlUrl( const QString &xmlUrl );
    QString htmlUrl() const;
    void setHtmlUrl( const QString &htmlUrl );

private:

    explicit NetFeed( const FeedCollection &feedCollection, Resource *resource, QObject *parent = 0 );

private:

    Q_DISABLE_COPY(NetFeed)
};

} // namespace KRss

#endif // KRSS_NETFEED_H
