/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_FEEDLISTVIEW_H
#define KRSS_FEEDLISTVIEW_H

#include "krss_export.h"

#include <QtGui/QTreeView>

namespace KRss {

class Feed;

class KRSS_EXPORT FeedListView : public QTreeView
{
    Q_OBJECT

public:

    explicit FeedListView( QWidget *parent = 0 );
    ~FeedListView();

    Feed *currentFeed() const;

Q_SIGNALS:

    void clicked( KRss::Feed *feed );
    void activated( KRss::Feed *feed );

private Q_SLOTS:

    void slotClicked( const QModelIndex &index );
    void slotActivated( const QModelIndex &index );
};

} // namespace KRss

#endif // KRSS_FEEDLISTVIEW_H
