/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_FLAGMODIFYSJOB
#define KRSS_FLAGMODIFYSJOB

#include <akonadi/collection.h>
#include <akonadi/item.h>
#include <akonadi/job.h>

class FlagsModifyJob : public Akonadi::Job
{
        Q_OBJECT

public:

        explicit FlagsModifyJob( const Akonadi::Collection &collection, QObject *parent = 0 );
        ~FlagsModifyJob();

        void clearFlags( const Akonadi::Item::Flags &flags );
        void setFlags( const Akonadi::Item::Flags &flags );

protected:

        void doStart();

private Q_SLOTS:

        void slotListingDone( KJob* );
        void slotModificationDone( KJob* );

private:

        void checkDone();

private:

        Akonadi::Collection m_collection;
        Akonadi::Item::Flags m_setFlags;
        Akonadi::Item::Flags m_clearFlags;
        int m_pendingJobs;
};

#endif /* KRSS_FLAGMODIFYSJOB */
