/*
    Copyright (C) 2009    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSS_RSSBACKENDJOBS_H
#define KRSS_RSSBACKENDJOBS_H

#include <KDE/Akonadi/Collection>
#include <KDE/KJob>

class FeedsRetrieveJob : public KJob
{
    Q_OBJECT
public:
    explicit FeedsRetrieveJob( QObject *parent );

    virtual QList<Akonadi::Collection> feeds() const = 0;

    enum Error {
        CouldNotContactBackend = KJob::UserDefinedError,
        CouldNotRetrieveFeeds,
        UserDefinedError
    };
};

class FeedCreateJob : public KJob
{
    Q_OBJECT
public:
    explicit FeedCreateJob( QObject *parent );

    virtual Akonadi::Collection feed() const = 0;
    virtual void setXmlUrl( const QString& xmlUrl ) = 0;

    enum Error {
        CouldNotContactBackend = KJob::UserDefinedError,
        CouldNotCreateFeed,
        UserDefinedError
    };
};

class FeedModifyJob : public KJob
{
    Q_OBJECT
public:
    explicit FeedModifyJob( QObject *parent );

    virtual void setFeed( const Akonadi::Collection& collection ) = 0;

    enum Error {
        CouldNotContactBackend = KJob::UserDefinedError,
        CouldNotModifyFeed,
        UserDefinedError
    };
};

/*class FeedDeleteJob : public KJob
{
public:
    virtual void setCollection( const Akonadi::Collection& collection ) = 0;

    enum Error {
        CouldNotContactBackend = KJob::UserDefinedError,
        CouldNotDeleteFeed
    };
};*/

#endif // KRSS_RSSBACKENDJOBS_H
